# Generated by Django 3.0.5 on 2020-04-17 14:33

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('drugstone', '0036_drug_in_trial'),
    ]

    operations = [
        migrations.AddField(
            model_name='drug',
            name='in_literature',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='protein',
            name='protein_name',
            field=models.CharField(default='', max_length=128),
        ),
        migrations.AlterField(
            model_name='protein',
            name='drugs',
            field=models.ManyToManyField(related_name='interacting_proteins', through='drugstone.ProteinDrugInteraction', to='drugstone.Drug'),
        ),
        migrations.AlterField(
            model_name='protein',
            name='effects',
            field=models.ManyToManyField(related_name='interacting_proteins', through='drugstone.ProteinViralInteraction', to='drugstone.ViralProtein'),
        ),
        migrations.AlterField(
            model_name='proteinproteininteraction',
            name='from_protein',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='interacting_proteins_out', to='drugstone.Protein'),
        ),
        migrations.AlterField(
            model_name='proteinproteininteraction',
            name='to_protein',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='interacting_proteins_in', to='drugstone.Protein'),
        ),
        migrations.CreateModel(
            name='ClosestViralProtein',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('distance', models.PositiveIntegerField()),
                ('protein', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='drugstone.Protein')),
                ('viral_protein', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='drugstone.ViralProtein')),
            ],
        ),
        migrations.AddField(
            model_name='protein',
            name='closest_effects',
            field=models.ManyToManyField(related_name='closest_proteins', through='drugstone.ClosestViralProtein', to='drugstone.ViralProtein'),
        ),
    ]
