# Generated by Django 3.0.5 on 2021-09-22 13:42

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('drugstone', '0053_auto_20210914_1314'),
    ]

    operations = [
        migrations.CreateModel(
            name='Disorder',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mondo_id', models.CharField(max_length=7)),
                ('label', models.CharField(default='', max_length=256)),
                ('icd10', models.CharField(default='', max_length=32)),
            ],
        ),
        migrations.CreateModel(
            name='PDisDataset',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=128)),
                ('link', models.CharField(default='', max_length=128)),
                ('version', models.CharField(default='', max_length=128)),
            ],
            options={
                'unique_together': {('name', 'version')},
            },
        ),
        migrations.AlterField(
            model_name='network',
            name='config',
            field=models.TextField(default='', null=True),
        ),
        migrations.AlterField(
            model_name='network',
            name='edges',
            field=models.TextField(default='', null=True),
        ),
        migrations.AlterField(
            model_name='network',
            name='nodes',
            field=models.TextField(default='', null=True),
        ),
        migrations.CreateModel(
            name='ProteinDisorderAssociation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('score', models.FloatField()),
                ('disorder', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='drugstone.Disorder')),
                ('pdis_dataset', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='pdis_dataset_relation', to='drugstone.PDisDataset')),
                ('protein', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='drugstone.Protein')),
            ],
            options={
                'unique_together': {('pdis_dataset', 'protein', 'disorder')},
            },
        ),
        migrations.AddField(
            model_name='disorder',
            name='proteins',
            field=models.ManyToManyField(related_name='associated_proteins', through='drugstone.ProteinDisorderAssociation', to='drugstone.Protein'),
        ),
        migrations.AlterUniqueTogether(
            name='disorder',
            unique_together={('mondo_id', 'label', 'icd10')},
        ),
    ]
